> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/playerbusinesses/restapi/endpoints.md).

# Endpoints

This section documents all the available endpoints in the Player Businesses REST API. These endpoints allow you to manage business data and retrieve player-specific information. Each endpoint is designed to be easily accessible, with clear paths for retrieving and modifying business data based on business names, IDs and player UUIDs.

**Note:**\
Currently, there are no endpoints for creating or editing data (i.e., no POST or PUT endpoints).

**Authentication:**\
Authentication is required to access the API, as detailed in the [Authentication](/projects/playerbusinesses/restapi.md#authentication) section.

**Business Ownership:**\
Depending on the server settings, you may not be able to retrieve business information if you do not own the business.

## Endpoints

Each endpoint is designed to help you manage and retrieve business data efficiently.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.olziedev.com/projects/playerbusinesses/restapi/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
